summaryrefslogtreecommitdiff
path: root/qa/640
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/640
downloadpcp-debian.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/640')
-rwxr-xr-xqa/64029
1 files changed, 29 insertions, 0 deletions
diff --git a/qa/640 b/qa/640
new file mode 100755
index 0000000..c36018e
--- /dev/null
+++ b/qa/640
@@ -0,0 +1,29 @@
+#! /bin/sh
+# PCP QA Test No. 640
+#
+# Check no possible root exploit via pmpost. This test originally
+# used the actual exploit, but this has not been feasible for many
+# years; so we now simply check the right permissions are in place
+# and move right along...
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=0 # success is the default!
+trap "$sudo rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+pmpost=$PCP_BINADM_DIR/pmpost
+echo "Using pmpost binary: $pmpost" > $seq.full
+test -u "$pmpost" && echo "FAIL: pmpost has setuid bit set"
+test -g "$pmpost" && echo "FAIL: pmpost has setgid bit set"
+echo "Test complete"
+exit